### Enumeration

# WPEPlatform SettingsError

#### Declaration

    error-domain WPEPlatform.SettingsError

#### Description [src]

`WPESettings` errors.

#### Members

`WPE_SETTINGS_ERROR_INCORRECT_TYPE`

  Incorrect GVariantType for key.

  - Value: `0`
  - Available since: 2.0
`WPE_SETTINGS_ERROR_NOT_REGISTERED`

  Key has not been registered.

  - Value: `1`
  - Available since: 2.0
`WPE_SETTINGS_ERROR_ALREADY_REGISTERED`

  Key has already been registered.

  - Value: `2`
  - Available since: 2.0
`WPE_SETTINGS_ERROR_INVALID_VALUE`

  Failed to parse a value from a keyfile.

  - Value: `3`
  - Available since: 2.0

#### Type functions

###### wpe_settings_error_quark

Gets the WPESettings Error Quark.